GET api/medicationrefillrequests/search?patientExternalId={patientExternalId}&doctorExternalId={doctorExternalId}&patientMedicationExternalId={patientMedicationExternalId}&doctorFirstName={doctorFirstName}&doctorLastName={doctorLastName}&medicationName={medicationName}&status={status}&createdOperator={createdOperator}&created1={created1}&created2={created2}&lastStatusChangeOperator={lastStatusChangeOperator}&lastStatusChange1={lastStatusChange1}&lastStatusChange2={lastStatusChange2}&alreadySent={alreadySent}&page={page}&itemsPerPage={itemsPerPage}

Returns a list of medication refill requests.

Request Information

URI Parameters

NameDescriptionTypeAdditional information
patientExternalId

Return medication refills with patient external ID containing this parameter's value.

string

Default value is empty string ("")

doctorExternalId

Return medication refills with doctor external ID containing this parameter's value.

string

Default value is empty string ("")

patientMedicationExternalId

Filters the list of medication refills based for the medication ID.

string

Default value is empty string ("")

doctorFirstName

Filters the list of medication refills based for the patient first name.

string

Default value is empty string ("")

doctorLastName

Filters the list of medication refills based for the patient last name.

string

Default value is empty string ("")

medicationName

Filters the list of medication refills based for the medication name.

string

Default value is empty string ("")

status

Current status of a medication refill. Possible values: Status should be (Pending, Approved and Denied).

string

Default value is empty string ("")

createdOperator

Created operator of a medication refill's comparison operators. Possible values: NotCompare (equals to empty string ""), Equals, GreaterThan, LessThan, GreaterThanOrEqual, LessThanOrEqual, Between, DifferentThan, Contains, StartsWith

string

Default value is empty string ("")

created1

Create date that is created a medication refill.

date

None.

created2

Second date that is created a medication refill.

date

None.

lastStatusChangeOperator

Last status change operator of a medication refill's comparison operators. Possible values: NotCompare (equals to empty string ""), Equals, GreaterThan, LessThan, GreaterThanOrEqual, LessThanOrEqual, Between, DifferentThan, Contains, StartsWith

string

Default value is empty string ("")

lastStatusChange1

Last status change date that is changed the status of the medication refill.

date

None.

lastStatusChange2

Second last status change date that is changed the status of the medication refill.

date

None.

alreadySent

Filter the list of medication refills on whether they are already send or not.

boolean

Default value is False

page

Page number requested (search results are paginated).

integer

Default value is 1

itemsPerPage

Items to return on each page. See page parameter above.

integer

Default value is 10

Body Parameters

None.

Response Information

Resource Description

ListModelOfMedicationRefillRequestModel
NameDescriptionTypeAdditional information
TotalItems

integer

None.

ItemsPerPage

integer

None.

CurrentPage

integer

None.

TotalPages

integer

None.

FirstRowOnPage

integer

None.

LastRowOnPage

integer

None.

Rows

Collection of MedicationRefillRequestModel

None.

Response Formats

application/json, text/json

Sample:
{
  "totalItems": 1,
  "itemsPerPage": 2,
  "currentPage": 3,
  "totalPages": 4,
  "firstRowOnPage": 5,
  "lastRowOnPage": 6,
  "rows": [
    {
      "id": "2e7329fe-5dc4-4b67-bc96-0d1695f08421",
      "patientExternalId": "sample string 2",
      "patientMedicationExternalId": "sample string 3",
      "doctorExternalId": "sample string 4",
      "status": "sample string 5",
      "created": "2026-05-29T16:56:45.7638338+00:00",
      "patientComments": "sample string 7"
    },
    {
      "id": "2e7329fe-5dc4-4b67-bc96-0d1695f08421",
      "patientExternalId": "sample string 2",
      "patientMedicationExternalId": "sample string 3",
      "doctorExternalId": "sample string 4",
      "status": "sample string 5",
      "created": "2026-05-29T16:56:45.7638338+00:00",
      "patientComments": "sample string 7"
    }
  ]
}

application/xml, text/xml

Sample:
<ListModelOfMedicationRefillRequestModel90Ug7fFQ xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">
  <CurrentPage>3</CurrentPage>
  <FirstRowOnPage>5</FirstRowOnPage>
  <ItemsPerPage>2</ItemsPerPage>
  <LastRowOnPage>6</LastRowOnPage>
  <Rows xmlns:d2p1="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models.MedicationRefillRequests">
    <d2p1:MedicationRefillRequestModel>
      <d2p1:Created>2026-05-29T16:56:45.7638338+00:00</d2p1:Created>
      <d2p1:DoctorExternalId>sample string 4</d2p1:DoctorExternalId>
      <d2p1:Id>2e7329fe-5dc4-4b67-bc96-0d1695f08421</d2p1:Id>
      <d2p1:PatientComments>sample string 7</d2p1:PatientComments>
      <d2p1:PatientExternalId>sample string 2</d2p1:PatientExternalId>
      <d2p1:PatientMedicationExternalId>sample string 3</d2p1:PatientMedicationExternalId>
      <d2p1:Status>sample string 5</d2p1:Status>
    </d2p1:MedicationRefillRequestModel>
    <d2p1:MedicationRefillRequestModel>
      <d2p1:Created>2026-05-29T16:56:45.7638338+00:00</d2p1:Created>
      <d2p1:DoctorExternalId>sample string 4</d2p1:DoctorExternalId>
      <d2p1:Id>2e7329fe-5dc4-4b67-bc96-0d1695f08421</d2p1:Id>
      <d2p1:PatientComments>sample string 7</d2p1:PatientComments>
      <d2p1:PatientExternalId>sample string 2</d2p1:PatientExternalId>
      <d2p1:PatientMedicationExternalId>sample string 3</d2p1:PatientMedicationExternalId>
      <d2p1:Status>sample string 5</d2p1:Status>
    </d2p1:MedicationRefillRequestModel>
  </Rows>
  <TotalItems>1</TotalItems>
  <TotalPages>4</TotalPages>
</ListModelOfMedicationRefillRequestModel90Ug7fFQ>